/* cpop3.h
**
**	POP client object.
*/

#ifndef __CPOP3_H
#define __CPOP3_H

#include <limits.h>
#include "csocket.h"

#define POP_PORT			110
#define MAX_RETRIES			10

#define POP_OK_STRING			"+OK"
#define POP_ERROR_STRING		"-ERR"
#define POP_END_STRING			".\r\n"

#define POP_USER_COMMAND		"USER"
#define POP_PASS_COMMAND		"PASS"
#define POP_STAT_COMMAND		"STAT"
#define POP_LIST_COMMAND		"LIST"
#define POP_DELETE_COMMAND		"DELE"
#define POP_RETRIEVE_COMMAND		"RETR"
#define POP_QUIT_COMMAND		"QUIT"

class CPop3 : private CSocketClient {
protected:
    int			AwaitResult (void);
    
public:
    			CPop3 (void);
    int			Initialize (char * mailhost);
    int			Authenticate (char * user, char * password);
    void		GetBoxStats (int * nMessages, int * TotalSize);
    void		GetMessageStats (int Message, int * Size);
    void		GetMessage (int Message, char * buf, 
    				    int bufsize = INT_MAX);
    void		DeleteMessage (int Message);
    void		Shutdown (void);
    virtual	       ~CPop3 (void);
};

#endif

